Sign inGet started

Sender Profiles

GET
/workspaces/{workspaceId}/sender-profiles
Retrieve a list of sender profiles associated with the account
Queryparameters
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Antwoord-payload
results
array of object
verplicht
Onderliggende attributen tonen
results.id
string
verplicht
results.name
string
verplicht
results.email
object
Onderliggende attributen tonen
results.email.username
string
verplicht
results.email.domain
string
verplicht
results.allowedEntities
array of object
Onderliggende attributen tonen
results.allowedEntities.entityType
string
verplicht
Possible values: team, agent
results.allowedEntities.operation
string
Possible values: view, edit
results.allowedEntities.entityId
string
verplicht
results.channelId
string
verplicht
results.signature
string
results.createdAt
string
verplicht
results.updatedAt
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/sender-profiles
Create a new sender profile, defining its name, and other attributes.
Verzoek-payload
name
string
verplicht
username
string
allowedEntities
array of object
Onderliggende parameters tonen
allowedEntities.entityType
string
verplicht
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
verplicht
channelId
string
verplicht
signature
string
Codevoorbeeld
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Retrieve information about a specific sender profile, including its name, and other attributes.
Antwoord-payload
id
string
verplicht
name
string
verplicht
email
object
Onderliggende attributen tonen
email.username
string
verplicht
email.domain
string
verplicht
allowedEntities
array of object
Onderliggende attributen tonen
allowedEntities.entityType
string
verplicht
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
verplicht
channelId
string
verplicht
signature
string
createdAt
string
verplicht
updatedAt
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Modify the details of a specific sender profile, such as its name or other attributes.
Verzoek-payload
name
string
username
string
signature
string
allowedEntities
array of object
Onderliggende parameters tonen
allowedEntities.entityType
string
verplicht
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
verplicht
channelId
string
Antwoord-payload
id
string
verplicht
name
string
verplicht
email
object
Onderliggende attributen tonen
email.username
string
verplicht
email.domain
string
verplicht
allowedEntities
array of object
Onderliggende attributen tonen
allowedEntities.entityType
string
verplicht
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
verplicht
channelId
string
verplicht
signature
string
createdAt
string
verplicht
updatedAt
string
verplicht
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Remove a specific sender profile.
Codevoorbeeld
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/sender-profiles/signature-variables
Retrieve a list of variables to use for signature configuration in sender profile.
Antwoord-payload
results
array of object
verplicht
Onderliggende attributen tonen
results.id
string
results.name
string
results.defaultDescription
string
results.variable
string
results.category
string
results.replacementAttribute
string
results.langDescription
object
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/signature-variables' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/users/{userId}/sender-profiles
Retrieve a list of sender profiles associated with a user.
Queryparameters
channelId
string
Filter by channelId
Antwoord-payload
results
array of object
verplicht
Onderliggende attributen tonen
results.id
string
verplicht
results.name
string
verplicht
results.email
object
Onderliggende attributen tonen
results.email.username
string
verplicht
results.email.domain
string
verplicht
results.allowedEntities
array of object
Onderliggende attributen tonen
results.allowedEntities.entityType
string
verplicht
Possible values: team, agent
results.allowedEntities.operation
string
Possible values: view, edit
results.allowedEntities.entityId
string
verplicht
results.channelId
string
verplicht
results.signature
string
results.createdAt
string
verplicht
results.updatedAt
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/users/{userId}/sender-profiles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'